Evaluation Rules
Create or update an evaluation rule
Creates a new evaluation rule, or replaces the existing rule when the identifier matches.
Parametri di query
api-version
string
necessario
The API version to use for this operation.
Parametri del percorso
id
string
necessario
Unique identifier for the evaluation rule.
Parametri di intestazione
Foundry-Features
enum
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Corpo della richiesta
Evaluation rule resource
id
string
necessario
Unique identifier for the evaluation rule.
displayName
string
Display Name for the evaluation rule.
description
string
Description for the evaluation rule.
action
continuousEvaluation | humanEvaluationPreview
necessario
Evaluation action model.
continuousEvaluation
ContinuousEvaluationRuleAction
Evaluation rule action for continuous evaluation.
type
enum
necessario
evalId
string
necessario
Eval Id to add continuous evaluation runs to.
maxHourlyRuns
integer
Maximum number of evaluation runs allowed per hour.
samplingRate
number
Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.
humanEvaluationPreview
HumanEvaluationPreviewRuleAction
Evaluation rule action for human evaluation.
type
enum
necessario
templateId
string
necessario
Identifier of a saved asset.
filter
EvaluationRuleFilter
Evaluation filter model.
agentName
string
necessario
Filter by agent name.
eventType
string | enum
necessario
Type of the evaluation rule event.
enum
enabled
boolean
necessario
Indicates whether the evaluation rule is enabled. Default is true.
systemData
object
necessario
System metadata for the evaluation rule.
Risposte
The request has succeeded.
Corpo
id
string
necessario
Unique identifier for the evaluation rule.
displayName
string
Display Name for the evaluation rule.
description
string
Description for the evaluation rule.
action
continuousEvaluation | humanEvaluationPreview
necessario
Evaluation action model.
continuousEvaluation
ContinuousEvaluationRuleAction
Evaluation rule action for continuous evaluation.
type
enum
necessario
evalId
string
necessario
Eval Id to add continuous evaluation runs to.
maxHourlyRuns
integer
Maximum number of evaluation runs allowed per hour.
samplingRate
number
Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.
humanEvaluationPreview
HumanEvaluationPreviewRuleAction
Evaluation rule action for human evaluation.
type
enum
necessario
templateId
string
necessario
Identifier of a saved asset.
filter
EvaluationRuleFilter
Evaluation filter model.
agentName
string
necessario
Filter by agent name.
eventType
string | enum
necessario
Type of the evaluation rule event.
enum
enabled
boolean
necessario
Indicates whether the evaluation rule is enabled. Default is true.
systemData
object
necessario
System metadata for the evaluation rule.
Richiedi
PUT /evaluationrules/{id} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json